Bug 1293574 - [WebAdmin] - "Error message appears in the UI "Uncaught exception occurred." when pressing on a rhev-h server that have a new version available
[WebAdmin] - "Error message appears in the UI "Uncaught exception occurred." ...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.1.3
x86_64 Linux
high Severity medium (vote)
: ovirt-3.6.5
: 3.6.5
Assigned To: Moti Asayag
Pavol Brilla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-22 03:58 EST by Michael Burman
Modified: 2016-04-21 10:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 10:37:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
mgoldboi: exception+
mgoldboi: planning_ack+
ecohen: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
server log (80.42 KB, application/x-gzip)
2015-12-22 03:58 EST, Michael Burman
no flags Details
javaconsole (999.50 KB, application/x-gzip)
2015-12-22 04:01 EST, Michael Burman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52852 master MERGED webadmin: Uninitialized host fails to open hardware tab 2016-01-28 08:00 EST
oVirt gerrit 52855 ovirt-engine-3.6 MERGED webadmin: Uninitialized host fails to open hardware tab 2016-01-28 08:54 EST

  None (edit)
Description Michael Burman 2015-12-22 03:58:37 EST
Created attachment 1108589 [details]
server log

Description of problem:
[WebAdmin] - "Error message appears in the UI "Uncaught exception occurred." when pressing on a rhev-h server that have a new version available icon.

If i have a node(rhev-h) server with an upgrade icon next to him in the UI - 'Hosts' main tab and i'm pressing with the mouse cursor on the server, a "Uncaught exception occurred. Please try reloading the page. Details: Exception caught: (TypeError) __gwt$exception: <skipped>: Cannot read property 'cZ' of null" 

From server.log -->

 2015-12-22 09:10:36,084 ERROR [org.apache.catalina.core.ContainerBase.[jboss.web].[default-host].[/ovirt-engine/webadmin]] (ajp-/127.0.0.1:8702-21) Exception while dispatching incoming RPC call: com.google.gwt.user.client.rpc.RpcTokenException: Invalid RPC token (Invalid XSRF token)


Version-Release number of selected component (if applicable):
3.6.1.3-0.1.el6

Steps to Reproduce:
1. Have an available new version for your node(rhev-h) server(icon should appear in UI)
2. Press the server with the mouse cursor 

Actual results:
"Uncaught exception occurred. Please try reloading the page. Details: Exception caught: (TypeError) __gwt$exception:

Expected results:
Not sure if it's part of the new UI feature, but this must be improved.
Comment 1 Michael Burman 2015-12-22 04:01 EST
Created attachment 1108590 [details]
javaconsole

javascript console output screenshots
Comment 2 Einav Cohen 2016-01-12 09:42:42 EST
seems like an 'infra' issue, but assigning to Alexander for investigation. 

[BTW, I don't think that the "Invalid XSRF token" server side log snippet is relevant - the javascript log implies an NPE somewhere in the UI code]
Comment 3 Alexander Wels 2016-01-13 10:54:35 EST
Looking at the obfuscated stack trace and rpm version. The problem appears to happen in org.ovirt.engine.core.common.VdcActionUtils at line 340 which is 'canExecute'.

I see lots of stuff in there that could potentially be a null pointer exception.

@Einav,
Yes this is probably an infra bug.
Comment 10 Pavol Brilla 2016-04-14 07:45:51 EDT
verified on rhevm-3.6.5.3-0.1.el6.noarch with DisplayUncaughtUIExceptions=true

repeating scenarios form this bug are now not throwing UI exceptions

Note You need to log in before you can comment on or make changes to this bug.